%define name	joe
%define version	2.8
%define release	23mdk

Summary:	An easy to use, modeless text editor.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Editors
Source:		ftp://ftp.std.com/src/editors/joe2.8.tar.bz2
Source1:	%{name}_icons.tar.bz2
Patch0:		joe2.8-config.patch.bz2
Patch1:		joe2.8-time.patch.bz2
Patch2:		joe2.8-axphack.patch.bz2
Patch3:		joe2.8-make.patch.bz2
Patch4:		joe2.8-locale.patch.bz2
Patch5:		joe-2.8-port.patch.bz2
Patch6:		joe-2.8-mips.patch.bz2
Patch8:		joe-2.8-deadjoe.patch.bz2
Patch9:		joe-2.8-security.patch.bz2
Patch10:	joe-2.8-vsmk.patch.bz2
Patch11:	joe-keyboard.patch.bz2
Patch13:	joe-2.8-procrc.patch.bz2
Patch16:	joe-2.8-resize2.patch.bz2
Patch18:	joe-2.8-vfile.patch.bz2
Patch19:	joe-2.8-deadjoesecurity.patch.bz2
Patch20:	joe-2.8-locationjoerc.patch.bz2
BuildRequires:	gpm-devel, ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Prefix:		%{_prefix}

%description
Joe is an easy to use, modeless text editor which would be very
appropriate for novices.  Joe uses the same WordStar keybindings used in
Borland's development environment.

You should install joe if you've used it before and you liked it, or if
you're still deciding what text editor you'd like to use, or if you have a
fondness for WordStar.  If you're just starting out, you should probably
install joe because it is very easy to use.

%prep
%setup -q -n joe
%patch0 -p1 -b .config
%patch1 -p1 -b .time

%ifarch axp
%patch2 -p1 -b .axp
%endif

%patch3 -p1 -b .make
%patch4 -p0 -b .locale

%patch5 -p1 -b .port

%ifarch mipsel mipseb
%patch6 -p1 -b .mips
%endif

%patch8 -p1 -b .dead
%patch9 -p1 -b .buffer
#%patch10 -p1 -b .vsmk
%patch11 -p1 -b .keyb
%patch13 -p1 -b .procrc
%patch16 -p1 -b .resize2
%patch18 -p1 -b .vfile
%patch19 -p1 -b .deadjoesec
%patch20 -p1 -b .joerc
tar xvfy %{SOURCE1}

%build
%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DUSE_LOCALE" \
    WHERERC=%{_sysconfdir}/joe

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall \
	TOPDIR=$RPM_BUILD_ROOT \
	WHEREMAN=$RPM_BUILD_ROOT%{_mandir}/man1/ \
	WHERERC=$RPM_BUILD_ROOT%{_sysconfdir}/joe

install -d $RPM_BUILD_ROOT%{_libdir}/menu 
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu/
cat << EOF > $RPM_BUILD_ROOT%{_libdir}/menu/%{name}
?package(%{name}):\
	needs="text"\
	section="Applications/Editors"\
	title="Joe"\
	longtitle="Joe - a text ANSI editor"\
	command="%{_bindir}/joe"\
	icon=joe.xpm
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/{mini,large}
cd $RPM_BUILD_DIR/%{name}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT%{_datadir}/icons/mini/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT%{_datadir}/icons/large/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr (-,root,root)
%{_bindir}/*
%dir %{_sysconfdir}/joe 
%config(noreplace) %{_sysconfdir}/joe/*
%{_mandir}/man1/joe.1.bz2
%{_libdir}/menu/joe
%{_datadir}/icons/%{name}.xpm
%{_datadir}/icons/large/%{name}.xpm
%{_datadir}/icons/mini/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar  6 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.8-23mdk
- security fix: don't use .joerc in CWD, just ~/.joerc and /etc/joe/joerc

* Wed Nov 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.8-22mdk
- security fix: don't blindly write to DEADJOE, unlink it and
  create it safely first

* Mon Sep 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.8-21mdk
- sync with latest RedHat patches (procrc)
- removed patch7 (included into joe-resize2.patch) and patch10
  (same things into joe-vfile.patch).

* Mon Sep 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.8-20mdk
- fixed a typo in menu.
- included macro and BM fixes to SPEC file from Stefan van der
  Eijk <s.vandereijk@chello.nl>.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.8-19mdk
- automatically added BuildRequires

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 2.8-18mdk
- add three size of icons

* Thu Apr 13 2000 Vincent Saugey <vince@mandrakesoft.com> 2.8-17mdk
- Add menu entry
- Corrected group
- Remove strip and bzip2 in spec file

* Fri Feb 04 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- merged with Bero's patch from Has de Goede <hans@highrise.nl> to fix the
  End Key.

* Fri Jan 28 2000 Francis Galiegue <francis@mandrakesoft.com> 2.8-15mdk
- Added missing %defattr() in %files section.

* Sat Dec 18 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- merged with latest Chris Gafton <gafton@redhat.com> patches
  (joe-2.8-security and joe-2.8-deadjoe).
- finally fixed a bug causing segfault on big files with short
  name (joe-2.8-vsmk).

* Thu Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Build release for Oxygen
- fix sucks on locale patch where -p1 delete the _filename_ ...

* Wed Aug 26 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed a bug causing segfault on long filenames.

* Fri Jun 04 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- added patch to get joe working on terminals supporting
  ti/te entries.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- added locale patch from  Petr Kolar <PETR.KOLAR@vslib.cz>
  (yeah, finally!)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 17)

* Wed Jan 20 1999 Alex deVries <puffin@redhat.com>
- added mipseb support

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Sep 15 1998 Cristian Gafton <gafton@redhat.com>
- built with Alan's -port patch

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- enable -asis in the config files so international keyboards will be better
  supported

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- /usr/lib/joe/* are config files

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- manhattan build

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- fixed termcap problems for terms other than 80x25
- added support for buildroot and BuildRoot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
